#!/usr/bin/perl -w
use strict;
 
#(This license is from zlib of Jean-loup Gailly and Mark Adler)
#
# Copyright (C) 2002 Frederick Dean <software@fdd.com>
#
#  This software is provided 'as-is', without any express or implied
#  warranty.  In no event will the authors be held liable for any damages
#  arising from the use of this software.
#
#  Permission is granted to anyone to use this software for any purpose,
#  including commercial applications, and to alter it and redistribute it
#  freely, subject to the following restrictions:
#
#  1. The origin of this software must not be misrepresented; you must not
#     claim that you wrote the original software. If you use this software
#     in a product, an acknowledgment in the product documentation would be
#     appreciated but is not required.
#  2. Altered source versions must be plainly marked as such, and must not be
#     misrepresented as being the original software.
#  3. This notice may not be removed or altered from any source distribution.
#
# Contributor(s):    Frederick Dean <software@fdd.com>

# Add the parent directory of the executable to the module search path.
BEGIN { push(@INC,"/var/www/html/dcvs"); }  # library include path

use unixdiff;

my $a = "a\nb\nc\ne\nh\nj\nl\nm\nn\np\n";
my $b = "b\nc\nd\ne\nf\nj\nk\nl\nm\nr\ns\nt\n";
if($ARGV[0]) {
   open(IN,"<$ARGV[0]") or die;
   read(IN,$a,1000000) or die;
}
if($ARGV[1]) {
   open(IN,"<$ARGV[1]") or die;
   read(IN,$b,1000000) or die;
}

my @a = split(/^/m,$a);
my @b = split(/^/m,$b);
print unixdiff::unixdiff(\@a,\@b);


